Approvals
GET
/organizations/{organizationId}/approvals
List approval flows
Paramètres de requête
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Possible values: active, deleted
objectType
string
objectAction
string
Possible values: create, update, delete
tags
string
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.id
string
obligatoire
results.organizationId
string
results.workspaceId
string
results.ownerId
string
obligatoire
results.name
string
obligatoire
results.description
string
obligatoire
results.objectType
string
obligatoire
The identifier of the object
results.objectAction
string
obligatoire
The action performed on the object
Possible values: create, update, delete
results.steps
array of object
obligatoire
Afficher les attributs enfants
results.steps.type
string
obligatoire
Possible values: any, all
results.steps.users
array of string
obligatoire
results.steps.reviewers
array of object
Afficher les attributs enfants
results.steps.reviewers.type
string
obligatoire
Possible values: user
results.steps.reviewers.id
string
obligatoire
results.steps.message
string
results.createdAt
string
obligatoire
results.updatedAt
string
obligatoire
results.tags
array of object
Afficher les attributs enfants
results.tags.key
string
obligatoire
results.tags.value
string
obligatoire
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/approvals
Create approval flow
Corps de la requête
name
string
obligatoire
description
string
obligatoire
objectType
string
obligatoire
The identifier of the object
objectAction
string
obligatoire
The action performed on the object
Possible values: create, update, delete
tags
array of object
Afficher les paramètres enfants
tags.key
string
obligatoire
tags.value
string
obligatoire
steps
array of object
obligatoire
Afficher les paramètres enfants
steps.type
string
obligatoire
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
Afficher les paramètres enfants
steps.reviewers.type
string
obligatoire
Possible values: user
steps.reviewers.id
string
obligatoire
steps.message
string
Corps de la réponse
id
string
obligatoire
organizationId
string
workspaceId
string
ownerId
string
obligatoire
name
string
obligatoire
description
string
obligatoire
objectType
string
obligatoire
The identifier of the object
objectAction
string
obligatoire
The action performed on the object
Possible values: create, update, delete
steps
array of object
obligatoire
Afficher les attributs enfants
steps.type
string
obligatoire
Possible values: any, all
steps.users
array of string
obligatoire
steps.reviewers
array of object
Afficher les attributs enfants
steps.reviewers.type
string
obligatoire
Possible values: user
steps.reviewers.id
string
obligatoire
steps.message
string
createdAt
string
obligatoire
updatedAt
string
obligatoire
tags
array of object
Afficher les attributs enfants
tags.key
string
obligatoire
tags.value
string
obligatoire
Exemple de code
curl -X POST 'https://api.bird.com/organizations/{organizationId}/approvals' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/approvals/{approvalId}
Retrieve approval flow
Corps de la réponse
id
string
obligatoire
organizationId
string
workspaceId
string
ownerId
string
obligatoire
name
string
obligatoire
description
string
obligatoire
objectType
string
obligatoire
The identifier of the object
objectAction
string
obligatoire
The action performed on the object
Possible values: create, update, delete
steps
array of object
obligatoire
Afficher les attributs enfants
steps.type
string
obligatoire
Possible values: any, all
steps.users
array of string
obligatoire
steps.reviewers
array of object
Afficher les attributs enfants
steps.reviewers.type
string
obligatoire
Possible values: user
steps.reviewers.id
string
obligatoire
steps.message
string
createdAt
string
obligatoire
updatedAt
string
obligatoire
tags
array of object
Afficher les attributs enfants
tags.key
string
obligatoire
tags.value
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/approvals/{approvalId}
Delete approval flow
Exemple de code
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/approvals/{approvalId}
Update approval flow
Corps de la requête
name
string
description
string
objectType
string
objectAction
string
Possible values: create, update, delete
steps
array of object
Afficher les paramètres enfants
steps.type
string
obligatoire
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
Afficher les paramètres enfants
steps.reviewers.type
string
obligatoire
Possible values: user
steps.reviewers.id
string
obligatoire
steps.message
string
Corps de la réponse
id
string
obligatoire
organizationId
string
workspaceId
string
ownerId
string
obligatoire
name
string
obligatoire
description
string
obligatoire
objectType
string
obligatoire
The identifier of the object
objectAction
string
obligatoire
The action performed on the object
Possible values: create, update, delete
steps
array of object
obligatoire
Afficher les attributs enfants
steps.type
string
obligatoire
Possible values: any, all
steps.users
array of string
obligatoire
steps.reviewers
array of object
Afficher les attributs enfants
steps.reviewers.type
string
obligatoire
Possible values: user
steps.reviewers.id
string
obligatoire
steps.message
string
createdAt
string
obligatoire
updatedAt
string
obligatoire
tags
array of object
Afficher les attributs enfants
tags.key
string
obligatoire
tags.value
string
obligatoire
Exemple de code
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'